Listar locales físicos y puntos de retiro
GET
https://pricto.dev/v1/storesUsed to resolve location for retailers whose prices vary by store or area.
| Créditos | MCP |
|---|---|
| 0 | — |
Parámetros#
| Parámetro | En | Tipo | Descripción |
|---|---|---|---|
retailer | query | string | One or more retailer IDs, comma separated (e.g. cl-jumbo,cl-unimarc). |
country | query | string | ISO 3166-1 alpha-2 country code. Defaults to all covered countries. |
admin_area | query | string | Administrative area code, for Chile the comuna CUT code (e.g. 13114). |
limit | query | integer | Default: 50. |
cursor | query | string | Opaque cursor from pagination.next_cursor. |
Respuesta#
200 Stores.
| Campo | Tipo | Descripción |
|---|---|---|
data requerido | Store[] | |
data[].id requerido | string | |
data[].retailer_id requerido | string | |
data[].name requerido | string | |
data[].address | string | null | |
data[].admin_area requerido | object | |
data[].admin_area.country requerido | string | |
data[].admin_area.code requerido | string | For Chile, comuna CUT code. |
data[].admin_area.name requerido | string | |
data[].admin_area.region | string | null | |
data[].lat | number | null | |
data[].lng | number | null | |
pagination requerido | Pagination | |
pagination.has_more requerido | boolean | |
pagination.next_cursor requerido | string | null | |
meta requerido | Meta |
meta trae el costo, la fuente para citar, el idioma, la moneda y los avisos (ver Convenciones).
Errores#
List physical stores and pickup points
GET
https://pricto.dev/v1/storesUsed to resolve location for retailers whose prices vary by store or area.
| Credits | MCP |
|---|---|
| 0 | — |
Parameters#
| Parameter | In | Type | Description |
|---|---|---|---|
retailer | query | string | One or more retailer IDs, comma separated (e.g. cl-jumbo,cl-unimarc). |
country | query | string | ISO 3166-1 alpha-2 country code. Defaults to all covered countries. |
admin_area | query | string | Administrative area code, for Chile the comuna CUT code (e.g. 13114). |
limit | query | integer | Default: 50. |
cursor | query | string | Opaque cursor from pagination.next_cursor. |
Response#
200 Stores.
| Field | Type | Description |
|---|---|---|
data required | Store[] | |
data[].id required | string | |
data[].retailer_id required | string | |
data[].name required | string | |
data[].address | string | null | |
data[].admin_area required | object | |
data[].admin_area.country required | string | |
data[].admin_area.code required | string | For Chile, comuna CUT code. |
data[].admin_area.name required | string | |
data[].admin_area.region | string | null | |
data[].lat | number | null | |
data[].lng | number | null | |
pagination required | Pagination | |
pagination.has_more required | boolean | |
pagination.next_cursor required | string | null | |
meta required | Meta |
meta carries the cost, the source line to quote, the language, the currency and notices (see Conventions).